%define builtin_release_version 3
%define builtin_release_name Windmill
%define builtin_release_variant 3.0
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: X/OS Linux release file
Name: xos-release
Version: %{real_release_version}
Release: 7.2.XOS.1
Copyright: GPL
Group: System Environment/Base
Source: xos-release-%{builtin_release_version}-i386.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de
Obsoletes: redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/xos-release-root
ExclusiveArch: i386

%description
X/OS Linux release file

%prep
%setup -q -n xos-release-3-i386

%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "X/OS Linux release %{builtin_release_variant} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/xos-release
ln -s xos-release $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/xos-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/xos-release
/etc/redhat-release
%doc R*
%doc EULA GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*

%changelog
* Mon Aug 23 2004 X/OS Linux Team <xoslinux@xos.nl> 3AS-7.2.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on redhat-release-3AS-7.2.src.rpm
  (md5sum of original source rpm: 1316b768fe0717c257a83b88def4ec2d).
- Replace RHEL tarball by a X/OS Linux-specific tarball.

